# Query ARX balance

**HTTP API：**

```http
wallet/getaccount
Description: Query an account information

demo: curl -X POST  http://172.104.51.182:16667/wallet/getaccount -d 
'{
    "address": "414203485a535a4072C9FBFaADDfe2A010AD0BcdB0"
}'
Parameter address: Default hexString
Return: Account object
```

**Welweb Example：**

```javascript
const privateKey = "..."; 
const address = "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz";  
//Get account information，Query the aixc balance by the balance in the return value.
let tradeobj = await aixcWeb.aixc.getAccount(
      address,
);
console.log('- Output:', tradeobj, '\n');
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.aixchain.com/aixc-and-arc-token/arc/query-arx-balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
